PowerPoint7TextInternal::TextZone Struct Reference

Internal: a text zone of a PowerPoint7Text. More...

## Public Member Functions

| TextZone ()
| constructor
bool | isEmpty () const
| returns true if the zone contain no text

## Public Attributes

MWAWEntry | m_textEntry
| the list of text zone
int | m_rulerId
| the ruler identifier
std::map< long, MWAWFont > | m_posToFontMap
| a map position to font
std::map< long, Ruler > | m_posToRulerMap
| a map position to ruler
std::map< long, int > | m_posToFieldFormatMap
| a map position to format

## Detailed Description

Internal: a text zone of a PowerPoint7Text.

## Constructor & Destructor Documentation

## TextZone()

PowerPoint7TextInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Function Documentation

## isEmpty()

bool PowerPoint7TextInternal::TextZone::isEmpty | ( |  | ) | const

inline

returns true if the zone contain no text

## Member Data Documentation

## m_posToFieldFormatMap

std::map<long,int> PowerPoint7TextInternal::TextZone::m_posToFieldFormatMap

a map position to format

Referenced by PowerPoint7Text::readTextZone(), PowerPoint7Text::sendText(), and TextZone().

## m_posToFontMap

std::map<long,MWAWFont> PowerPoint7TextInternal::TextZone::m_posToFontMap

a map position to font

Referenced by PowerPoint7Text::readTextZone(), PowerPoint7Text::sendText(), and TextZone().

## m_posToRulerMap

std::map<long,Ruler> PowerPoint7TextInternal::TextZone::m_posToRulerMap

a map position to ruler

Referenced by PowerPoint7Text::readTextZone(), PowerPoint7Text::sendText(), and TextZone().

## m_rulerId

int PowerPoint7TextInternal::TextZone::m_rulerId

the ruler identifier

Referenced by PowerPoint7Text::readTextZone(), and TextZone().

## m_textEntry

MWAWEntry PowerPoint7TextInternal::TextZone::m_textEntry

the list of text zone

Referenced by isEmpty(), PowerPoint7Text::readTextZone(), PowerPoint7Text::sendText(), and TextZone().

The documentation for this struct was generated from the following file:

- PowerPoint7Text.cxx